Bug 1839164 - DejaVu font issue
Summary: DejaVu font issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nethack-vultures
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1806272
TreeView+ depends on / blocked
 
Reported: 2020-05-22 15:45 UTC by Bruno Wolff III
Modified: 2020-05-31 03:57 UTC (History)
1 user (show)

Fixed In Version: nethack-vultures-2.1.2-27.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-31 03:29:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Bruno Wolff III 2020-05-22 15:45:54 UTC
It looks like your package uses DejaVu fonts in a way that might be affected by changes to the way DejaVu fonts are packaged. As a temporary measure symlinks were added so that the old paths would still work in f32.  However, they are going to be removed in f33 and you will want to make sure your package will work there. Typically the issue does not result in obvious build errors, but rather problems will show up at run time.

One way to work around this issue is to make finding the font paths more automated at build time. This can be done using fontconfig to search for fonts installed in the build root and use the returned path to create symlinks.

So you might use something like the following to set up the build environment:

%global fonts font(dejavusans)
BuildRequires: fontconfig %{fonts}
Requires: %{fonts}

Then in the install section you might use something like the following to create the symlinks:

ln -f -s $(fc-match -f "%{file}" "sans") \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/data/fonts/sans.ttf

There is additional information in a bug covering the DevaVu change (bug 1806272) and an example fix discussed in a hedgewars bug (bug 1823360).

Comment 1 Bruno Wolff III 2020-05-22 16:28:04 UTC
Suggested other sources for this:

Looks like 2.3.67 can be grabbed from this git repo:

https://github.com/DanielT/Vulture/tree/2.3.67

This one seems to have sporkhack:

https://github.com/gerberb/vultures

Comment 2 Bruno Wolff III 2020-05-22 16:40:10 UTC
The above comment was meant for a different vultures bug.

Comment 3 Fedora Update System 2020-05-22 18:26:37 UTC
FEDORA-2020-14da1d7da4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-14da1d7da4

Comment 4 Fedora Update System 2020-05-22 18:27:37 UTC
FEDORA-2020-45e6b27792 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-45e6b27792

Comment 5 Fedora Update System 2020-05-23 04:05:47 UTC
FEDORA-2020-14da1d7da4 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-14da1d7da4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-14da1d7da4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-05-23 04:36:55 UTC
FEDORA-2020-45e6b27792 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-45e6b27792`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-45e6b27792

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-31 03:29:13 UTC
FEDORA-2020-45e6b27792 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-05-31 03:57:08 UTC
FEDORA-2020-14da1d7da4 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.